#include "../../explicitvectors.hh"
#include "../../explicitgrid.hh"

#include "../../data-structures/program_state.hh"

using MyProgramState = ProgramState<Vector, ScalarVector>;
using MyFriction = GlobalFriction<Matrix, Vector>;

template class FrictionalBoundaryWriter<MyProgramState, DeformedGrid::LeafGridView>;
template void FrictionalBoundaryWriter<MyProgramState, DeformedGrid::LeafGridView>::write(
    MyProgramState const &programState, MyFriction &friction);


